NGETTEXT(1)

NOM
ngettext – Traduction de message et choix de la forme plurielle

SYNOPSIS
ngettext [OPTION] [TEXTDOMAIN] MSGID MSGID-PLURAL

DESCRIPTION
Le programme ngettext traduit un message en langage naturel dans la langue de l’utilisateur en recherchant une traduction dans un catalogue de messages, en choisissant la forme plurielle appropriée selon le nombre COMPTE et la langue du catalogue où la traduction a été trouvée.

Il affiche la traduction dans la langue native d’un message textuel dont la forme grammaticale dépend d’un nombre.

  Options et arguments :

-d, --domain=TEXTDOMAIN
    récupération du message traduit à partir de TEXTDOMAIN

-c, --context=CONTEXTE
    spécifier le contexte pour MSGID

-e  activer le développement de certaines suites de caractères de protection

-E  (ignoré pour compatibilité)

[TEXTDOMAIN]
    récupération du message traduit à partir de TEXTDOMAIN

MSGID MSGID-PLURAL
    traduire MSGID (singulier) / MSGID-PLURAL (pluriel)

COMPTE
    choisir entre singulier et pluriel selon cette valeur

  Sortie informative :

-h, --help
    afficher l'aide-mémoire et quitter

-V, --version
    Afficher la version du logiciel et quitter.

Si le paramètre TEXTDOMAIN n’est pas fourni, l’emplacement est déterminé par la variable d’environnement TEXTDOMAIN. Si le catalogue de messages n’est pas trouvé dans le répertoire habituel, un autre emplacement peut être indiqué avec la variable d’environnement TEXTDOMAINDIR. Le répertoire habituel de recherche est /usr/share/locale.

AUTEUR
Écrit par Ulrich Drepper.

SIGNALER DES BOGUES
Signaler les bogues dans le système de gestion de problèmes à l'adresse <https://savannah.gnu.org/projects/gettext> ou par courriel à <bug-gettext@gnu.org>.

COPYRIGHT
Copyright © 1995-2025 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de ngettext est disponible dans un manuel Texinfo. Si les programmes info et ngettext sont correctement installés, la commande

    info ngettext

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.